Subject: Re: [PATCH 3/3] notes: don't indent empty lines

From: Junio C Hamano <[email-masked]>
Date: Sun, 12 Sep 2021 01:22:50 -0700

Eric Sunshine <[email-masked]> writes:

> I'm not a fan of the trailing whitespace either, however, Junio does
> have the concern that there may be some tooling somewhere which relies
> upon the "indented blank lines" (even if such tooling would not be
> robust).

Note that such a "concern" is always relative.  If the upside were
so great, perhaps risking possible breakage may be warranted.  FWIW,
I am not a big fan of trailing whitespaces that human writers leave
in what they write, either.

Because the patch text will be full of lines with trailing
whitespaces anyway due to a blank lines in the patch context,
however, it does not sound so great an upside to tweak how the
paragraphs taken from the notes are inserted.

Thanks.